#include <iostream>
#include <bits/stdc++.h>
#define ll long long
#define F1 {ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);}
#define ull unsigned long long
#define pb push_back
#define fi first
#define se second
#define ld lond duble
#define pii pair<int,int>
#define pll pair<long long,long long>
#define mp make_pair
using namespace std;
long long nzd (long long a, long long b)
{
    if(b==0)return a;
    a=a%b;
    return nzd(b,a);
}
bool prost (int n){

if(n==1)return false;
if(n==2)return true;
if(n%2==0)return false;
for(int i=3;i*i<=n;i+=2){
    if(n%i==0)return false;
}
return true;
}
void Eratosten (vector<bool>& prost, int n){
prost.resize(n+1,true);
prost[0]=prost[1]=false;
for(int i=2;i*i<=n;i++){
    if(prost[i]){
        for(int j=i*i;j<=n;j+=i)prost[j]=false;
    }
}}
void ProstiUIntervalu(int a, int b, int& broj, int& zbir ){
vector<bool> prost;
Eratosten(prost,b);
zbir=0;
broj=0;
for(int i=a;i<=b;i++){
    if(prost[i]){
        zbir=(zbir+i);
        broj++;
    }
}
}
int main()
{
    F1;
    int n,m;
    cin>>n>>m;
    int a[n][m];
    for(int i=1;i<=n;i++)
        for(int j=1;j<=m;j++)
            cin>>a[i][j];
    cout<<0<<endl;

    return 0;
}